// creator  : weidu.exe (version 23100)
// argument : HAFIZ.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HAFIZ~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #18326 /* ~He has a home in the Docks district, or he may have fled to the Umar Hills.  His friends and servants will not speak to us, but they may to you.~ */
  IF ~~ THEN REPLY #18328 /* ~Is there anything else I should know about?~ */ GOTO 2
  IF ~~ THEN REPLY #18329 /* ~We do not ask that you commit any murder.  We wish Valygar be delivered to us, that is all.  He will likely resist, so if you must kill him so be it.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 2.1 0.1
  SAY #18330 /* ~But if you do kill him, I simply must have his body.  Valygar must be delivered to us whether he is dead or alive, you understand, yes?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #18331 /* ~I have no interest in performing this ghoulish task.  I will not hunt this man down for you, regardless of what I said earlier.~ */
  IF ~~ THEN REPLY #18332 /* ~Tell me more about this Valygar fellow.  Who is he and how am I supposed to find him where you failed?~ */ GOTO 3
  IF ~~ THEN REPLY #18333 /* ~Is there anything else I should know?~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #18336 /* ~I refuse to hunt this man down, regardless of what I said earlier.~ */
  IF ~~ THEN REPLY #18340 /* ~Very well.  I will hunt this murderer down and return him to you.~ */ GOTO 4
  IF ~~ THEN REPLY #18342 /* ~You gave your word, so I expect nothing less.  I await the sight of this murderer's body soon.~ */ GOTO 5
  IF ~~ THEN REPLY #18345 /* ~I'll not be coerced in such a manner, fool.  I have dealt with far greater powers than a group of wizards!~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #18348 /* ~You have returned, I see.  Ah, very good, yes.  You have changed your mind regarding our offer, yes?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #18350 /* ~I still think it is too much to ask to have me agree to something I have no knowledge of.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.2
  SAY #18351 /* ~Actually, no, I have not.  I shall be leaving, now.~ */
  IF ~~ THEN DO ~GiveItem("SCRL07",LastTalkedToBy)
EscapeArea()
~ EXIT
END
